Bug 1297798 - No LDAP user entry blacklist exists
No LDAP user entry blacklist exists
Status: CLOSED NOTABUG
Product: OpenShift Origin
Classification: Red Hat
Component: Auth (Show other bugs)
3.x
All All
unspecified Severity low
: ---
: ---
Assigned To: Steve Kuznetsov
weiwei jiang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 08:45 EST by Steve Kuznetsov
Modified: 2016-10-30 18:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-22 11:16:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Kuznetsov 2016-01-12 08:45:57 EST
Description of problem:
There is no way to blacklist specific users from being synced if they are part of a group that is synced.

Version-Release number of selected component (if applicable):
OpenShift Origin 1.1
Comment 1 Steve Kuznetsov 2016-01-26 10:50:11 EST
In addition to adding support for blacklisting LDAP users, we are choosing to lower the severity of out-of-scope errors, logging them instead of failing immediately on them. That PR is here: https://github.com/openshift/origin/pull/6834
Comment 2 Steve Kuznetsov 2016-02-22 11:16:03 EST
User blacklists do not make sense as we require that LDAP is the system recording group membership. The specific issues that were being solved by using a user blacklist were solved by tolerating sync errors instead.

Note You need to log in before you can comment on or make changes to this bug.